Đến nội dung


Hình ảnh

làm sao để chuyển đổi đường Spline thành Pline


  • Please log in to reply
35 replies to this topic

#21 conan3134

conan3134

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 February 2012 - 12:26 PM

1). Muốn chuyển elip sang lwpolyline bạn phải chuyển elip sang spline, sau đó chuyển từ spline sang lwpolyline bằng lisp ở trên. Riêng chuyển từ elip sang spline thì bạn xem trang đố vui số 11 sẽ có.
2). Tuy nhiên xem trên bản vẽ thì thấy hình của bạn không ăn nhập gì với câu hỏi của bạn, vì nó có tới hàng trăm đối tượng. Vậy cần phải nối chúng lại đã.

1). Muốn chuyển elip sang lwpolyline bạn phải chuyển elip sang spline, sau đó chuyển từ spline sang lwpolyline bằng lisp ở trên. Riêng chuyển từ elip sang spline thì bạn xem trang đố vui số 11 sẽ có.
2). Tuy nhiên xem trên bản vẽ thì thấy hình của bạn không ăn nhập gì với câu hỏi của bạn, vì nó có tới hàng trăm đối tượng. Vậy cần phải nối chúng lại đã.

1, mình cũng đang đau đầu vì các đối tượng không liên tục đây, bây h mà nối thủ công thì khá lâu, bạn có cách nào không
2, Không ăn nhập là sao, các Lisp đưa lên đều thấy nói là chuyển các đối tượng (kể cả elip, spline...) thành polyline đó thôi?
  • 0

#22 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 22 February 2012 - 01:52 PM

1, mình cũng đang đau đầu vì các đối tượng không liên tục đây, bây h mà nối thủ công thì khá lâu, bạn có cách nào không
2, Không ăn nhập là sao, các Lisp đưa lên đều thấy nói là chuyển các đối tượng (kể cả elip, spline...) thành polyline đó thôi?

1). Trên CV có nhiều lisp chuyển về pline. Riêng của tác giả SSG (chắc bạn đang dùng nó) thì chuyển được cả elip về pline nên không cần bước chuyển từ elip về spline như tôi đã nói.
2). Trong hình vẽ của bạn: các đối tượng đã chuyển về pline xong rồi. Vấn đề còn lại mà có lẽ bạn chưa nhận ra, đó là có rất nhiều pline trên hình. Bạn phải dùng lệnh PEDIT để nối chúng lại là xong.
P/S (14h47-22/2/12):
Tôi đã thử chạy lisp của ssg thì quả thực nó không thể chuyển Elip sang Pline được (có lẽ file của bạn xuất từ 1 phần mềm nào đó mà lisp không hiểu?). Có cách khác: với các Elip bạn dùng lisp dưới đây để chuyển.
Sau khi chuyển xong sang Pline hết, bạn dùng Pedit để nối theo từng cụm, cũng nhanh thôi.
Tại sao phải nối theo từng cụm? Tôi đã thử chọn tất cả đối tượng để nối bằng Pedit thì nó "chẳng làm gì cả". Nhưng nếu phân ra từng cụm nhỏ và xử lý trong từng cụm thì nó nối vô tư. Tôi cũng không hiểu tại sao, nhưng thực tế trên bản vẽ của bạn là vậy (hình trên bản vẽ của bạn chỉ cần phân ra 3 cụm ở 3 góc là được).
Bạn thử xem sao nhé!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#23 conan3134

conan3134

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 February 2012 - 02:50 PM

1). Trên CV có nhiều lisp chuyển về pline. Riêng của tác giả SSG (chắc bạn đang dùng nó) thì chuyển được cả elip về pline nên không cần bước chuyển từ elip về spline như tôi đã nói.
2). Trong hình vẽ của bạn: các đối tượng đã chuyển về pline xong rồi. Vấn đề còn lại mà có lẽ bạn chưa nhận ra, đó là có rất nhiều pline trên hình. Bạn phải dùng lệnh PEDIT để nối chúng lại là xong.

1. Mình đã down vài lisp của vài tác giả ( kể cả SSG) để chuyển các đối tượng sang polyline nhưng không được nên mới up lên để hỏi?
2. bạn xem chưa kỹ hình vẽ của mình đã nói, riêng phần mình trích ra đã có rất nhiều đối tượng không phải polyline ( hình tròn bên trong, 2 đoạn nằm phía trên) chưa kể trong hình chính. pedit thì tôi biết n cần phải chuyển về Polyline trước đã bạn thân mến ah!!!
  • 0

#24 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 22 February 2012 - 03:05 PM

1. Mình đã down vài lisp của vài tác giả ( kể cả SSG) để chuyển các đối tượng sang polyline nhưng không được nên mới up lên để hỏi?
2. bạn xem chưa kỹ hình vẽ của mình đã nói, riêng phần mình trích ra đã có rất nhiều đối tượng không phải polyline ( hình tròn bên trong, 2 đoạn nằm phía trên) chưa kể trong hình chính. pedit thì tôi biết n cần phải chuyển về Polyline trước đã bạn thân mến ah!!!

Lisp chuyển Elip về Pline đây bạn (tôi đi mót). Bạn chú ý trở lại bài viết trên xem thêm vì tôi vừa P/S xong.

(defun EllipseToPolyline (el / cl norm cen elv pt0 pt1 pt2 pt3 pt4 ac0
ac4 a04 a02 a24 bsc0 bsc2 bsc3 bsc4 plst blst spt spa
fspa srat ept epa fepa erat n
)
(vl-load-com)
(setq cl (= (ang<2pi (vla-get-StartAngle el))
(ang<2pi (vla-get-EndAngle el)))
norm (vlax-get el 'Normal)
cen (trans (vlax-get el 'Center) 0 norm)
elv (caddr cen)
cen (3dTo2dPt cen)
pt0 (mapcar '+ (trans (vlax-get el 'MajorAxis) 0 norm) cen)
ac0 (angle cen pt0)
pt4 (mapcar '+ cen (trans (vlax-get el 'MinorAxis) 0 norm))
pt2 (3dTo2dPt (trans (vlax-curve-getPointAtparam el (/ pi 4.)) 0 norm))
ac4 (angle cen pt4)
a04 (angle pt0 pt4)
a02 (angle pt0 pt2)
a24 (angle pt2 pt4)
bsc0 (/ (ang<2pi (- a02 ac4)) 2.)
bsc2 (/ (ang<2pi (- a04 a02)) 2.)
bsc3 (/ (ang<2pi (- a24 a04)) 2.)
bsc4 (/ (ang<2pi (- (+ ac0 pi) a24)) 2.)
pt1 (inters pt0
(polar pt0 (+ ac0 (/ pi 2.) bsc0) 1.)
pt2
(polar pt2 (+ a02 bsc2) 1.)
nil
)
pt3 (inters pt2
(polar pt2 (+ a04 bsc3) 1.)
pt4
(polar pt4 (+ a24 bsc4) 1.)
nil
)
plst (list pt4 pt3 pt2 pt1 pt0)
blst (mapcar '(lambda (B) (tan (/ b 2.)))
(list bsc4 bsc3 bsc2 bsc0)
)
)
(foreach b blst
(setq blst (cons b blst))
)
(foreach b blst
(setq blst (cons b blst))
)
(foreach p (cdr plst)
(setq ang (angle cen p)
plst (cons
(polar cen (+ ang (* 2 (- ac4 ang))) (distance cen p))
plst
)
)
)
(foreach p (cdr plst)
(setq ang (angle cen p)
plst (cons
(polar cen (+ ang (* 2 (- ac0 ang))) (distance cen p))
plst
)
)
)
(setq pl
(vlax-invoke
(vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object)))
'AddLightWeightPolyline
(apply 'append
(setq plst
(reverse (if cl
(cdr plst)
plst
)
)
)
)
)
)
(vlax-put pl 'Normal norm)
(vla-put-Elevation pl elv)
(mapcar '(lambda (i v) (vla-SetBulge pl i v))
'(0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16)
blst
)
(if cl
(vla-put-Closed pl :vlax-true)
(progn
(setq spt (vlax-curve-getClosestPointTo pl (vlax-get el 'Startpoint))
spa (vlax-curve-getParamAtPoint pl spt)
fspa (fix spa)
ept (vlax-curve-getClosestPointTo pl (vlax-get el 'Endpoint))
epa (vlax-curve-getParamAtPoint pl ept)
fepa (fix epa)
n 0
)
(cond
((equal spt (trans pt0 norm 0) 1e-9)
(if (= epa fepa)
(setq plst (sublist plst 0 (1+ fepa))
blst (sublist blst 0 (1+ fepa))
)
(setq erat (/ (- (vlax-curve-getDistAtParam pl epa)
(vlax-curve-getDistAtParam pl fepa)
)
(- (vlax-curve-getDistAtParam pl (rem (1+ fepa) 17))
(vlax-curve-getDistAtParam pl fepa)
)
)
plst (append (sublist plst 0 (1+ fepa))
(list (3dTo2dPt (trans ept 0 norm)))
)
blst (append (sublist blst 0 (1+ fepa))
(list (k*bulge (nth fepa blst) erat))
)
)
)
)
((equal ept (trans pt0 norm 0) 1e-9)
(if (= spa fspa)
(setq plst (sublist plst fspa nil)
blst (sublist blst fspa nil)
)
(setq srat (/ (- (vlax-curve-getDistAtParam pl (rem (1+ fspa) 17))
(vlax-curve-getDistAtParam pl spa)
)
(- (vlax-curve-getDistAtParam pl (rem (1+ fspa) 17))
(vlax-curve-getDistAtParam pl fspa)
)
)
plst (cons (3dTo2dPt (trans spt 0 norm))
(sublist plst (1+ fspa) nil)
)
blst (cons (k*bulge (nth fspa blst) srat)
(sublist blst (1+ fspa) nil)
)
)
)
)
(T
(setq srat (/ (- (vlax-curve-getDistAtParam pl (rem (1+ fspa) 17))
(vlax-curve-getDistAtParam pl spa)
)
(- (vlax-curve-getDistAtParam pl (rem (1+ fspa) 17))
(vlax-curve-getDistAtParam pl fspa)
)
)
erat (/ (- (vlax-curve-getDistAtParam pl epa)
(vlax-curve-getDistAtParam pl fepa)
)
(- (vlax-curve-getDistAtParam pl (rem (1+ fepa) 17))
(vlax-curve-getDistAtParam pl fepa)
)
)
)
(if (< epa spa)
(setq plst (append
(if (= spa fspa)
(sublist plst fspa nil)
(cons (3dTo2dPt (trans spt 0 norm))
(sublist plst (1+ fspa) nil)
)
)
(cdr (sublist plst 0 (1+ fepa)))
(if (/= epa fepa)
(list (3dTo2dPt (trans ept 0 norm)))
)
)
blst (append
(if (= spa fspa)
(sublist blst fspa nil)
(cons
(k*bulge (nth fspa blst) srat)
(sublist blst (1+ fspa) nil)
)
)
(sublist blst 0 fepa)
(if (= epa fepa)
(list (nth fepa blst))
(list (k*bulge (nth fepa blst) erat))
)
)
)
(setq plst (append
(if (= spa fspa)
(sublist plst fspa (1+ (- fepa fspa)))
(cons (3dTo2dPt (trans spt 0 norm))
(sublist plst (1+ fspa) (- fepa fspa))
)
)
(list (3dTo2dPt (trans ept 0 norm)))
)
blst (append
(if (= spa fspa)
(sublist blst fspa (- fepa fspa))
(cons
(k*bulge (nth fspa blst) srat)
(sublist blst (1+ fspa) (- fepa fspa))
)
)
(if (= epa fepa)
(list (nth fepa blst))
(list (k*bulge (nth fepa blst) erat))
)
)
)
)
)
)
(vlax-put pl 'Coordinates (apply 'append plst))
(foreach b blst
(vla-SetBulge pl n B)
(setq n (1+ n))
)
)
)
pl
)

;; Ang<2pi
;; Returns the angle expression betweem 0 and 2*pi
(defun ang<2pi (ang)
(if (and (<= 0 ang) (< ang (* 2 pi)))
ang
(ang<2pi (rem (+ ang (* 2 pi)) (* 2 pi)))
)
)

;; 3dTo2dPt
;; Returns the 2d point (x y) of a 3d point (x y z)
(defun 3dTo2dPt (pt) (list (car pt) (cadr pt)))

;; Tan
;; Returns the angle tangent
(defun tan (a) (/ (sin a) (cos a)))

;; SUBLIST
;; Returns a sub list
;;
;; Arguments
;; lst : a list
;; start : start index (first item = 0)
;; leng : the sub list length (number of items) or nil
(defun sublist (lst start leng / n r)
(if (or (not leng) (< (- (length lst) start) leng))
(setq leng (- (length lst) start))
)
(setq n (+ start leng))
(while (< start n)
(setq r (cons (nth (setq n (1- n)) lst) r))
)
)

;; K*BULGE
;; Returns the proportinal bulge to the r&#233;f&#233;rence bulge
;; Arguments :
;; b : the bulge
;; k : the proportion ratio (between angles or arcs length)
(defun k*bulge (b k / a)
(setq a (atan B))
(/ (sin (* k a)) (cos (* k a)))
)
;-----
;And two commands:
;EL2PL to transform selected ellipses into polylines
;PELL to draw an 'elliptical polyline' on the fly.
;; EL2PL
;; Converts ellipses and elliptcal arcs into polylines

(defun c:el2pl (/ *error* fra acdoc ss)
(vl-load-com)
(defun *error* (msg)
(if (and (/= msg "Fonction annul&#233;e")
(/= msg "Function cancelled")
)
(princ (strcat (if (= "FRA" (getvar 'locale))
"\nErreur: "
"\Error: "
)
msg
)
)
)
(vla-endUndoMark acdoc)
(princ)
)
(setq acdoc (vla-get-ActiveDocument (vlax-get-acad-object)))
(if (ssget '((0 . "ELLIPSE")))
(progn
(vla-StartUndoMark acdoc)
(vlax-for e (setq ss (vla-get-ActiveSelectionSet acdoc))
(EllipseToPolyline e)
(vla-delete e)
)
(vla-delete ss)
(vla-EndUndoMark acdoc)
)
)
(princ)
)

;; PELL
;; Draws an ellipse or an elliptical arc approximation (polyline) on the fly
(defun c:pell (/ *error* ec pe old ent)
(vl-load-com)
(defun *error* (msg)
(if (and msg
(/= msg "Fonction annul&#233;e")
(/= msg "Function cancelled")
)
(princ (strcat (if (= "FRA" (getvar 'locale))
"\nErreur: "
"\Error: "
)
msg
)
)
)
(setvar 'cmdecho ec)
(setvar 'pellipse pe)
(princ)
)
(setq ec (getvar 'cmdecho)
pe (getvar 'pellipse)
old (entlast)
)
(setvar 'cmdecho 1)
(setvar 'pellipse 0)
(command "_.ellipse")
(while (/= 0 (getvar 'cmdactive))
(command pause)
)
(if (not (eq old (setq ent (entlast))))
(progn
(EllipseToPolyline (vlax-ename->vla-object ent))
(entdel ent)
)
)
(*error* nil)
)

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#25 conan3134

conan3134

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 February 2012 - 03:23 PM

Okie tks. Cái lisp này đã chuyển đc Elip to Polyline nhưng sao bạn không viết chương trình cho Lisp chuyển được tất cả các đối tượng như arc, spline, elip... thành Polyline, như thế có phải tiện hơn không?
  • 0

#26 Chiron

Chiron

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 22 February 2012 - 04:30 PM

Lệnh pe cũng chuyển Spline thành polyline được, mình không biết AutoCAD hỗ trợ từ version nào nhưng CAD 2010 đã có.
  • 0

#27 Hai_YenLang

Hai_YenLang

    biết lệnh explore

  • Members
  • PipPipPipPipPipPip
  • 473 Bài viết
Điểm đánh giá: 149 (tàm tạm)

Đã gửi 22 February 2012 - 09:42 PM

Lệnh pe cũng chuyển Spline thành polyline được, mình không biết AutoCAD hỗ trợ từ version nào nhưng CAD 2010 đã có.


Câu hỏi của bạn đã có câu trả lời trên trang 1 : Chắc chắn có từ AutoCAD2007

Bạn dùng lệnh FLATTEN nhé

Còn một cách nữa không cần phải nhớ lệnh FLATTEN:
Nhấp đúp chuột >> tiếp tục chuột phải >>> sẽ hiện ra bảng sau:
Hình đã gửi
Command: _splinedit
Enter an option [Close/Join/Fit data/Edit vertex/convert to
Polyline/Reverse/Undo/eXit] <eXit>: P
Specify a precision <10>:


  • 0
Đức hạnh lớn nhất mà bên cạnh đó, mọi đức hạnh khác đều mờ nhạt đi, đó là không làm hại ai và tùy sức mà giúp đỡ mọi người "
Người cảnh sát điều tra hình sự giỏi là người biết được tất cả những hành vi thủ đoạn trộm cắp của bọn trộm cắp, nhưng lại dốt ăn cắp ăn trộm ...

#28 DPSurvey2.8

DPSurvey2.8

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 December 2012 - 09:54 PM

Cảm ơn Bác tranchan nhé. Đúng cái Lisp em đang cần
  • 0

#29 LoveLisp

LoveLisp

    biết lệnh extend

  • Members
  • PipPipPip
  • 195 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 04 December 2012 - 08:45 AM

Lệnh SplineEdit, tùy chọn convert to Polyline yêu cầu nhập precision (nghĩa là độ chính xác) mà không phải là khoảng chia. Mọi người có ai hiểu 'độ chính xác' này là gì không? Mình đã kiểm tra, sau khi convert xong thì Polyline có độ dài các phân đoạn không bằng nhau, góc giữa các phân đoạn cũng khác nhau.

Các bác xem hình ở bên dưới nhé!
  • 0

#30 LoveLisp

LoveLisp

    biết lệnh extend

  • Members
  • PipPipPip
  • 195 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 04 December 2012 - 08:55 AM

Hình đã gửi
  • 0

#31 ht.thichvobien

ht.thichvobien

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 April 2013 - 02:07 PM

e thấy lisp sau cũng hay.!


  • 0

#32 hieunv98

hieunv98

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 October 2013 - 08:53 PM

mình cài cái code về rồi mà sao đánh lênh s2p không đc vậy ???


  • 0

#33 trungputin2003

trungputin2003

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 July 2014 - 11:44 PM

Sao của em nó không có cái convert ấy nhỉ 

Regenerating model.
 
AutoCAD Express Tools Copyright © 2002-2004 Autodesk, Inc.
 
AutoCAD menu utilities loaded.
Command: l LINE Specify first point:
Specify next point or [Undo]:
Specify next point or [Undo]:
Command:  LINE Specify first point:
Specify next point or [Undo]:
Specify next point or [Undo]: *Cancel*
 
Command:
Command: *Cancel*
 
Command: Specify opposite corner:
Command:
Command: *Cancel*
 
Command: overkill
 
Initializing...
Select objects: 1 found
 
Select objects:
 
 
 
Command:
Command: *Cancel*
 
Command:
Command:
Command: _plot
Specify window for printing
Specify first corner: Specify opposite corner:
Automatic save to C:\Users\TRUNGP~1\AppData\Local\Temp\Drawing1_1_1_0041.sv$ ...
 
Command:
Command: *Cancel*
 
Command: *Cancel*
 
Command: spl SPLINE
Specify first point or [Object]:
Specify next point:
Specify next point or [Close/Fit tolerance] <start tangent>:
Specify next point or [Close/Fit tolerance] <start tangent>:
Specify next point or [Close/Fit tolerance] <start tangent>:
 
Specify start tangent:
 
Specify end tangent:
 
Command:
SPLINE
Specify first point or [Object]: *Cancel*
 
Command: *Cancel*
 
Command: s*Cancel*
 
Command: ap APPLOAD wp_pw.lsp successfully loaded.
 
 
Command:
Command:
Command: wp
 
         Chon doi tuong can thay doi do day (Width) !
Select objects: 1 found
 
Select objects:
 
Do rong polyline <0.05>: 1
 
Object selected is not a polyline
 
Invalid window specification.
; error: Function cancelled
 
Specify first corner:
 
Invalid window specification.
 
Specify first corner: Specify opposite corner: Select polyline or [Multiple]:
Object selected is not a polyline
Select polyline or [Multiple]:
Select polyline or [Multiple]:
Select polyline or [Multiple]:
Select polyline or [Multiple]: *Cancel*
 
Command: *Cancel*
 
Command: *Cancel*
 
Command: wp
 
         Chon doi tuong can thay doi do day (Width) !
Select objects: 1 found
 
Select objects:
 
Do rong polyline <1.0>:
 
Object selected is not a polyline
 
Invalid window specification.
; error: Function cancelled
 
Specify first corner: *Cancel*
 
Command: *Cancel*
 
Command: *Cancel*
 
Command:
Command: *Cancel*
 
Command: pl PLINE
Specify start point:
Current line-width is 0.0000
Specify next point or [Arc/Halfwidth/Length/Undo/Width]:
Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]:
Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: *Cancel*
 
Command: wp
         Chon doi tuong can thay doi do day (Width) !
Select objects: 1 found
 
Select objects:
 
Do rong polyline <1.0>:
Unknown command "W".  Press F1 for help.
1.000000
Unknown command "WP".  Press F1 for help.
 
 
Command:
Command:
Command:
Command: _properties
Command: *Cancel*
 
Command: *Cancel*
 
Command: wp
 
         Chon doi tuong can thay doi do day (Width) !
Select objects: 1 found
 
Select objects:
 
Do rong polyline <1.0>: 10
Unknown command "W".  Press F1 for help.
10.000000
Unknown command "WP".  Press F1 for help.
 
 
Command:
Command: *Cancel*
 
Command: pe PEDIT Select polyline or [Multiple]: m
Select objects: 1 found
 
Select objects:
No valid objects selected.
Select polyline or [Multiple]:  Select polyline or [Multiple]: *Cancel*
 
Command: pe PEDIT Select polyline or [Multiple]:
Object selected is not a polyline
Select polyline or [Multiple]:
Object selected is not a polyline
Select polyline or [Multiple]:
Object selected is not a polyline
Select polyline or [Multiple]:
Object selected is not a polyline
Select polyline or [Multiple]: *Cancel*
 
Command: *Cancel*
 
Command:
Automatic save to C:\Users\TRUNGP~1\AppData\Local\Temp\Drawing1_1_1_0041.sv$ ...
 
Command: *Cancel*
 
Command: *Cancel*
 
Command:
Command: *Cancel*
 
Command: *Cancel*
 
Command: *Cancel*
 
Command: *Cancel*
 
Command: *Cancel*
 
Command:
Command:
Command:
Command: _splinedit
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]: *Cancel*
 
Command: *Cancel*
 
Command:
Command:
Command:
Command: _copy 1 found
 
Specify base point or [Displacement] <Displacement>: *Cancel*
 
Command: *Cancel*
 
Command:
Command: *Cancel*
 
Command:
Command:
Command:
Command: _splinedit
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]: M
 
Specify new location or [Next/Previous/Select point/eXit] <N>: *Cancel*
 
Command:
Command:
Command:
Command: _splinedit
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]: *Cancel*
 
Command:
Command:
Command:
Command: _splinedit
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]: R
 
Enter a refine option [Add control point/Elevate order/Weight/eXit] <eXit>: w
 
Spline is not rational. Will make it so.
Enter new weight (current = 1.0000) or [Next/Previous/Select point/eXit] <N>: 
100
 
Enter new weight (current = 100.0000) or [Next/Previous/Select point/eXit] <N>:
 
Enter new weight (current = 1.0000) or [Next/Previous/Select point/eXit] <N>: 
1000
 
Enter new weight (current = 1000.0000) or [Next/Previous/Select point/eXit] <N>:
 
Enter new weight (current = 1.0000) or [Next/Previous/Select point/eXit] <N>:
 
Enter new weight (current = 1.0000) or [Next/Previous/Select point/eXit] <N>:
 
Enter new weight (current = 1.0000) or [Next/Previous/Select point/eXit] <N>:
 
Enter new weight (current = 1.0000) or [Next/Previous/Select point/eXit] <P>:
 
Enter new weight (current = 1.0000) or [Next/Previous/Select point/eXit] <P>:
 
Enter new weight (current = 1.0000) or [Next/Previous/Select point/eXit] <P>: 
*Cancel*
 
Command: *Cancel*
 
Command:
Command: *Cancel*
 
Command:
Command:
Command:
Command:
Command: _splinedit
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]: R
 
Enter a refine option [Add control point/Elevate order/Weight/eXit] <eXit>: 
*Cancel*
 
Command: *Cancel*
 
Command: splinedit
Select spline:
 
Command:
SPLINEDIT
Select spline:
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]: *Cancel*
 
 
Command:
SPLINEDIT
Select spline:
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]:
Command:
SPLINEDIT
Select spline:
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]:
Command:
SPLINEDIT
Select spline:
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]:
Command:
SPLINEDIT
Select spline:
Enter an option [Fit data/Close/Move vertex/Refine/rEverse/Undo]:

  • 0

#34 hieutran2002

hieutran2002

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 August 2014 - 09:41 PM

mình cũng đang vướng phải chuyện này ,mong các bác giúp đỡ


  • 0

#35 tuhaitam

tuhaitam

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 February 2016 - 04:20 PM

các bác giúp em cái này với , em không biết tạo chủ đề mới trên Diển đàn nên mượn bài biết này mong các bác giúp đỡ !

em muốn nhờ các bác viết giúp em cái lisp chuyển : polyline,elip,spline,cyrcle,lwpolyline sang ARC

Vì em có các hoa văn cánh cửa chạy CNC mà nó toàn là đối tượng spline với elip phần mềm lập trình lệnh cho  CNC nó không hiểu nên không chạy được , mà sử dung lisp C2P ở trên chuyển về polyline thì khi explode nó thành nhiều đường line nhỏ , khi phầm mềm lập trình lệnh chuyển qua lệnh cho CNC thì nó dài như cái truyện tiểu thuyết vậy , nặng quá bộ nhớ CNC không chứa hết được mà làm thủ công vẽ ARC và line  lại quá mất thời gian mà số lượng hoa văn thì nhiều nhìn hoa hết cả mắt mong các bác viết giúp em cái lisp


  • 0

#36 IDIOM

IDIOM

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 June 2016 - 05:10 PM

"các bác giúp em cái này với , em không biết tạo chủ đề mới trên Diển đàn nên mượn bài biết này mong các bác giúp đỡ !

em muốn nhờ các bác viết giúp em cái lisp chuyển : polyline,elip,spline,cyrcle,lwpolyline sang ARC

Vì em có các hoa văn cánh cửa chạy CNC mà nó toàn là đối tượng spline với elip phần mềm lập trình lệnh cho  CNC nó không hiểu nên không chạy được , mà sử dung lisp C2P ở trên chuyển về polyline thì khi explode nó thành nhiều đường line nhỏ , khi phầm mềm lập trình lệnh chuyển qua lệnh cho CNC thì nó dài như cái truyện tiểu thuyết vậy , nặng quá bộ nhớ CNC không chứa hết được mà làm thủ công vẽ ARC và line  lại quá mất thời gian mà số lượng hoa văn thì nhiều nhìn hoa hết cả mắt mong các bác viết giúp em cái lisp"
Up cái này vì Mình cũng gặp phải trường hợp như bạn này
Có cao thủ nào ra tay giải cứu giúp vụ này với nhỉ


  • 0